C ... Setup for I/O in MODIS DB Atmospheric Profiles Software
c ..................................................................

C *** INPUT DATA FILES ***

c MOD02 1KM 
c --- Fortran OPEN 
      integer		L1B_1KM_UNIT
      parameter		(L1B_1KM_UNIT = 31) 
      character*11	L1B_1KM_FORM
      parameter		(L1B_1KM_FORM = 'UNFORMATTED')
      character*6	L1B_1KM_ACCESS
      parameter		(L1B_1KM_ACCESS = 'DIRECT')
      character*3	L1B_1KM_STATUS
      parameter		(L1B_1KM_STATUS = 'OLD')


c MOD03 GE0
c --- Fortran OPEN 
      integer		GEO_1KM_UNIT
      parameter		(GEO_1KM_UNIT = 32) 
      character*11	GEO_1KM_FORM
      parameter		(GEO_1KM_FORM = 'UNFORMATTED')
      character*6	GEO_1KM_ACCESS
      parameter		(GEO_1KM_ACCESS = 'DIRECT')
      character*3	GEO_1KM_STATUS
      parameter		(GEO_1KM_STATUS = 'OLD')

 

c MOD02 Scan Metadata 
c --- Fortran OPEN 
      integer		SCAN_1KM_UNIT
      parameter		(SCAN_1KM_UNIT = 33) 
      character*3	SCAN_1KM_STATUS
      parameter		(SCAN_1KM_STATUS = 'OLD')
      character*11	SCAN_1KM_FORM
      parameter		(SCAN_1KM_FORM = 'UNFORMATTED')
      character*6	SCAN_1KM_ACCESS
      parameter		(SCAN_1KM_ACCESS = 'DIRECT')
      integer		SCAN_1KM_RECL
      parameter		(SCAN_1KM_RECL = 2)


c ANC MET 
c --- Fortran OPEN 
      integer		ANC_MET_UNIT
      parameter		(ANC_MET_UNIT = 35) 
      character*3	ANC_MET_STATUS
      parameter		(ANC_MET_STATUS = 'OLD')
      character*11	ANC_MET_FORM
      parameter		(ANC_MET_FORM = 'UNFORMATTED')
      character*6	ANC_MET_ACCESS
      parameter		(ANC_MET_ACCESS = 'DIRECT')

c --- NOTE: record length is the entire array 
c     (360 lines) X (181 elements/line) X (30 params/element) X (4 bytes/parm)
      integer		ANC_MET_RECL
      parameter		(ANC_MET_RECL = 360 * 181 * 30 * 4)



c MOD35 CLOUDMASK  
c --- Fortran OPEN 
      integer		MOD35_MASK_UNIT
      parameter		(MOD35_MASK_UNIT = 40) 
      character*3	MOD35_MASK_STATUS
      parameter		(MOD35_MASK_STATUS = 'OLD')
      character*11	MOD35_MASK_FORM
      parameter		(MOD35_MASK_FORM = 'UNFORMATTED')
      character*6	MOD35_MASK_ACCESS
      parameter		(MOD35_MASK_ACCESS = 'DIRECT')

c ...  INPUT VIEW ANGLE FILE ............
c --- Fortran OPEN 
      integer		VANG_UNIT
      parameter		(VANG_UNIT = 51) 
      character*3	VANG_STATUS
      parameter		(VANG_STATUS = 'OLD')
      character*11	VANG_FORM
      parameter		(VANG_FORM = 'UNFORMATTED')
      character*6	VANG_ACCESS
      parameter		(VANG_ACCESS = 'DIRECT')
      integer           VANG_RECL
      parameter         (VANG_RECL = 2720)

c ... INPUT BIAS FILE ............
c --- Fortran OPEN 
      integer		BIAS_UNIT
      parameter		(BIAS_UNIT = 60) 
      character*3	BIAS_STATUS
      parameter		(BIAS_STATUS = 'OLD')
      character*9	BIAS_FORM
      parameter		(BIAS_FORM = 'FORMATTED')
      character*10	BIAS_ACCESS
      parameter		(BIAS_ACCESS = 'SEQUENTIAL')

c ... INPUT DETECTOR USE FILE ............
c --- Fortran OPEN 
      integer		DET_UNIT
      parameter		(DET_UNIT = 70) 
      character*3	DET_STATUS
      parameter		(DET_STATUS = 'OLD')
      character*9	DET_FORM
      parameter		(DET_FORM = 'FORMATTED')
      character*10	DET_ACCESS
      parameter		(DET_ACCESS = 'SEQUENTIAL')


C *** OUTPUT FILES ***

c RUNTIME DEBUG 
c --- Fortran OPEN 
      integer		DEBUG_UNIT
      parameter		(DEBUG_UNIT = 90) 
      character*7	DEBUG_STATUS
      parameter		(DEBUG_STATUS = 'UNKNOWN')
      character*9	DEBUG_FORM
      parameter		(DEBUG_FORM = 'FORMATTED')
      character*10	DEBUG_ACCESS
      parameter		(DEBUG_ACCESS = 'SEQUENTIAL')

c MOD07 Atmospheric Profiles
c --- Fortran OPEN 
      integer		MOD07_UNIT
      parameter		(MOD07_UNIT = 91) 
      character*7	MOD07_STATUS
      parameter		(MOD07_STATUS = 'UNKNOWN')
      character*11	MOD07_FORM
      parameter		(MOD07_FORM = 'UNFORMATTED')
      character*6	MOD07_ACCESS
      parameter		(MOD07_ACCESS = 'DIRECT')

c MOD07 Atmospheric Profiles Header File
c --- Fortran OPEN 
      integer		MOD07_HDR_UNIT
      parameter		(MOD07_HDR_UNIT = 92) 
      character*7	MOD07_HDR_STATUS
      parameter		(MOD07_HDR_STATUS = 'UNKNOWN')
      character*9	MOD07_HDR_FORM
      parameter		(MOD07_HDR_FORM = 'FORMATTED')
      character*10	MOD07_HDR_ACCESS
      parameter		(MOD07_HDR_ACCESS = 'SEQUENTIAL')

